/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *    Author Quan Sun (quan.sun.nz@gmail.com)
 *    Copyright (C) 2013 University of Waikato, Hamilton, New Zealand
 *
 */

package artforests.core;

import org.apache.commons.math.stat.correlation.SpearmansCorrelation;

public class EvalTool {
    public static int RANKING_ALGO = 2;
    public static double computeScore(double[] actual, double[] pred) {     
        return computeSpearmanCC(actual, pred);
    }
    public static double computeSpearmanCC(double[] aa, double[] pp) {
        SpearmansCorrelation sc = new SpearmansCorrelation();      
        return sc.correlation(aa, pp);
    }
}
